Package org.apache.tools.ant.filters

# Class StringInputStream

java.lang.Object
java.io.InputStream
org.apache.tools.ant.util.ReaderInputStream
org.apache.tools.ant.filters.StringInputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public class StringInputStream
    extends ReaderInputStream

Wraps a String as an InputStream.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StringInputStream​(java.lang.String source)` | Composes a stream from a String
  `StringInputStream​(java.lang.String source, java.lang.String encoding)` | Composes a stream from a String with the specified encoding

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.util.ReaderInputStream

  `available, close, mark, markSupported, read, read, reset`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, read, readAllBytes, readNBytes, readNBytes, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringInputStream

    public StringInputStream​(java.lang.String source)
    Composes a stream from a String
    Parameters:
      `source` - The string to read from. Must not be `null`.

  - ### StringInputStream

    public StringInputStream​(java.lang.String source, java.lang.String encoding)
    Composes a stream from a String with the specified encoding
    Parameters:
      `source` - The string to read from. Must not be `null`.
      `encoding` - The encoding scheme. Also must not be `null`.